pcl::io::openni2::OpenNI2DeviceManager Class Reference

`#include <pcl/io/openni2/openni2_device_manager.h>`

## Public Member Functions

| OpenNI2DeviceManager ()
virtual | ~OpenNI2DeviceManager ()
boost::shared_ptr< std::vector< OpenNI2DeviceInfo > > | getConnectedDeviceInfos () const
boost::shared_ptr< std::vector< std::string > > | getConnectedDeviceURIs () const
std::size_t | getNumOfConnectedDevices () const
boost::shared_ptr< OpenNI2Device > | getAnyDevice ()
boost::shared_ptr< OpenNI2Device > | getDevice (const std::string &device_URI)
boost::shared_ptr< OpenNI2Device > | getDeviceByIndex (int index)
boost::shared_ptr< OpenNI2Device > | getFileDevice (const std::string &path)

## Static Public Member Functions

static boost::shared_ptr< OpenNI2DeviceManager > | getInstance ()

## Protected Attributes

boost::shared_ptr< OpenNI2DeviceListener > | device_listener_

## Detailed Description

Definition at line 56 of file openni2_device_manager.h.

## Constructor & Destructor Documentation

pcl::io::openni2::OpenNI2DeviceManager::OpenNI2DeviceManager | ( |  | ) |

virtual pcl::io::openni2::OpenNI2DeviceManager::~OpenNI2DeviceManager | ( |  | ) |

virtual

## Member Function Documentation

boost::shared_ptr<OpenNI2Device> pcl::io::openni2::OpenNI2DeviceManager::getAnyDevice | ( |  | ) |

boost::shared_ptr<std::vector<OpenNI2DeviceInfo> > pcl::io::openni2::OpenNI2DeviceManager::getConnectedDeviceInfos | ( |  | ) | const

boost::shared_ptr<std::vector<std::string> > pcl::io::openni2::OpenNI2DeviceManager::getConnectedDeviceURIs | ( |  | ) | const

boost::shared_ptr<OpenNI2Device> pcl::io::openni2::OpenNI2DeviceManager::getDevice | ( | const std::string & | device_URI | ) |

boost::shared_ptr<OpenNI2Device> pcl::io::openni2::OpenNI2DeviceManager::getDeviceByIndex | ( | int | index | ) |

boost::shared_ptr<OpenNI2Device> pcl::io::openni2::OpenNI2DeviceManager::getFileDevice | ( | const std::string & | path | ) |

static boost::shared_ptr<OpenNI2DeviceManager> pcl::io::openni2::OpenNI2DeviceManager::getInstance | ( |  | ) |

inline static

Definition at line 64 of file openni2_device_manager.h.

std::size_t pcl::io::openni2::OpenNI2DeviceManager::getNumOfConnectedDevices | ( |  | ) | const

## Member Data Documentation

boost::shared_ptr<OpenNI2DeviceListener> pcl::io::openni2::OpenNI2DeviceManager::device_listener_

protected

Definition at line 92 of file openni2_device_manager.h.

The documentation for this class was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/io/include/pcl/io/openni2/openni2_device_manager.h